Delta Industrial Automation WPLSoft Heap Memory Corruption Remote Code Execution Vulnerability

2016-12-15T00:00:00
ID ZDI-16-646
Type zdi
Reporter Ariele Caltabiano (kimiya)
Modified 2016-12-16T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Delta Industrial Automation WPLSoft. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within parsing of a dvp file. A malformed dvp file can cause heap corruption and the BorrlndmmSysGetMem function will write to an arbitrary memory location in the user process. A remote attacker could leverage this vulnerability to execute arbitrary code in the context of the process.